Package org.apache.commons.dbutils.handlers

## Class ArrayHandler

- java.lang.Object
- - org.apache.commons.dbutils.handlers.ArrayHandler

- All Implemented Interfaces:
    `ResultSetHandler<Object[]>`

      public class ArrayHandler
      extends Object
      implements ResultSetHandler<Object[]>

  `ResultSetHandler` implementation that converts a `ResultSet` into an `Object[]`. This class is thread safe.
  See Also:
    `ResultSetHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayHandler()` | Creates a new instance of ArrayHandler using a `BasicRowProcessor` for conversion.
    `ArrayHandler​(RowProcessor convert)` | Creates a new instance of ArrayHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object[]` | `handle​(ResultSet resultSet)` | Places the column values from the first row in an `Object[]`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayHandler

          public ArrayHandler()

      Creates a new instance of ArrayHandler using a `BasicRowProcessor` for conversion.

    - #### ArrayHandler

          public ArrayHandler​(RowProcessor convert)

      Creates a new instance of ArrayHandler.
      Parameters:
        `convert` - The `RowProcessor` implementation to use when converting rows into arrays.

  - ### Method Detail

    - #### handle

          public Object[] handle​(ResultSet resultSet)
                          throws SQLException

      Places the column values from the first row in an `Object[]`.
      Specified by:
        `handle` in interface `ResultSetHandler<Object[]>`
      Parameters:
        `resultSet` - `ResultSet` to process.
      Returns:
        An Object[]. If there are no rows in the `ResultSet` an empty array will be returned.
      Throws:
        `SQLException` - if a database access error occurs
      See Also:
        `ResultSetHandler.handle(java.sql.ResultSet)`